%define oname libmcs

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Modular Config System
Name:		mcs
Version:	0.7.2
Release:	%mkrel 13
License:	BSD
Group:		System/Libraries
Url:		https://github.com/atheme/libmcs
Source0:	http://distfiles.atheme.org/%{oname}-%{version}.tbz2
Patch0:		libmcs-0.7.1-linking.patch
Patch1:		libmcs-0.7.2-libmowgli.patch
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libmowgli-2)

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package	-n %{libname}
Group:		System/Libraries
Summary:	Modular Config System shared library
Requires:	%{name} >= %{version}

%description	-n %{libname}
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package	-n %{develname}
Group:		Development/C
Summary:	Modular Config System shared library
Requires:	%{libname} = %{version}
Provides:	libmcs-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 1

%description	-n %{develname}
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package	gconf
Group:		System/Libraries
Summary:	Modular Config System - GConf backend
Requires:	%{name} = %{version}

%description	gconf
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure --disable-kconfig
%make_build

%install
%make_install

%files
%doc AUTHORS TODO README
%{_bindir}/mcs-*
%dir %{_libdir}/mcs/
%{_libdir}/mcs/keyfile.so

%files gconf
%{_libdir}/mcs/gconf.so

%files -n %libname
%{_libdir}/libmcs.so.%{major}{,.*}

%files -n %develname
%{_libdir}/libmcs.so
%{_libdir}/pkgconfig/libmcs.pc
%{_includedir}/libmcs/


%changelog
* Sun Jul 05 2020 joequant <joequant> 0.7.2-13.mga8
+ Revision: 1602386
- remove arm workaround

* Thu Feb 13 2020 umeabot <umeabot> 0.7.2-12.mga8
+ Revision: 1515136
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.2-11.mga7
+ Revision: 1299500
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 daviddavid <daviddavid> 0.7.2-10.mga7
+ Revision: 1238862
- update libmowgli patch to fix also build dependency on libmcs.pc file

* Sun Jun 03 2018 wally <wally> 0.7.2-9.mga7
+ Revision: 1234103
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.7.2-8.mga6
+ Revision: 942800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-7.mga5
+ Revision: 743494
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.2-6.mga5
+ Revision: 727226
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 682318
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 sander85 <sander85> 0.7.2-4.mga5
+ Revision: 634796
- Rebuild for libmowgli

* Fri Oct 18 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 507847
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 359851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 0.7.2-1.mga1
+ Revision: 63965
- clean spec file
- imported package mcs

